Subject: RE: another cygwin using program...
From: "Gareth Pearce" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 10 Jul 2002 06:02:55 +0000

> > -----Original Message-----
> > From: Gareth Pearce [mailto:[email-masked]]
> > Sent: Wednesday, July 10, 2002 12:12 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: RE: another cygwin using program...
> >
> > > >
> > > > http://freeware.teledanmark.no/identd/
> > > > uses cygwin1.dll - and might not be providing source ... I
> > > > cant find it...
> > >
> > >You didn't look very hard.  Source is included in the same
> > >archive as the executable.
> >
> > cygwin1.dll source to be specific
>
>Sorry.  That wasn't clear.
>
> > I did indeed find the source to identd in the obvious place.
>
>Yep.  And they point to Cygwin, but thier alternate site for Cygwin has the
>old B20 version.  Will thier code build against the current version of the
>DLL?  If not, they aren't in compliance with the GPL.
>

previous mailing list discussions on this topic state that if they 
distribute the cygwin1.dll, they have to distribute the source code for that 
particular version.
So either way its a violation. (ie linking isnt good enough, according to 
previous discussions) - I am still in digital unix at uni so i have no idea 
if it compiles with current cygwin, anyway.

But, it was a headsup, not a 'i am deeply concerned about this' or I would 
of emailed the person responsible for the web site in the first place.  If i 
was one of the cygwin developers, maybe i would feel differently, but as a 
user headsup is enough from me.

Gareth

_________________________________________________________________
Join the world’s largest e-mail service with MSN Hotmail. 
http://www.hotmail.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/